#
# spec file for package tomoe
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           tomoe
Version:        0.6.0
Release:        51.6
Summary:        Japanese handwriting recognition engine
License:        LGPL-2.1-or-later
Group:          System/I18n/Japanese
URL:            https://sourceforge.net/projects/tomoe/
Source:         tomoe-0.6.0.tar.bz2

Patch0:         glib-include-fixes.diff
Patch1:         tomoe-0.6.0-fixes-set-parse-error.patch
Patch2:         tomoe-0.6.0-strerror.patch

BuildRequires:  glib2-devel
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  ruby-devel

%description
Japanese handwriting recognition engine (Tegaki Online MOji-ninshiki
Engine)

%package devel
Summary:        Header files for the Tomoe handwriting recognition engine
Group:          System/I18n/Japanese
Requires:       %{name} = %{version}
Requires:       glib2-devel

%description devel
Header files for the Tomoe handwriting recognition engine.

%package doc
Summary:        Documentation for the Tomoe handwriting recognition engine
Group:          Documentation/HTML

%description doc
Japanese handwriting recognition engine (Tegaki Online MOji-ninshiki
Engine)

%prep
%autosetup -p1

%build
touch INSTALL README ; autoreconf --force --install
export CFLAGS="%{optflags}"
%configure \
	--disable-static \
	%{nil}
%make_build

%install
%make_install
%find_lang tomoe
find %{buildroot} -type f -name "*.la" -delete -print

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f tomoe.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS TODO
%{_datadir}/tomoe
# This is currently not packaged per Shared Library guideline because
# it could not rule out that libtomoe.so.0 may be requiring its data
# files and plugins.
%{_libdir}/*.so.*
%dir %{_libdir}/tomoe
%dir %{_libdir}/tomoe/module/
%dir %{_libdir}/tomoe/module/dict
%{_libdir}/tomoe/module/dict/*.so
%dir %{_libdir}/tomoe/module/recognizer
%{_libdir}/tomoe/module/recognizer/*.so
%{_sysconfdir}/tomoe

%files devel
%{_includedir}/tomoe
%{_libdir}/*.so
%{_libdir}/pkgconfig/tomoe.pc

%files doc
%{_datadir}/gtk-doc/html/tomoe

%changelog
* Fri Dec  2 2022 Steve Kowalik <steven.kowalik@suse.com>
- Remove unneeded BuildRequires on Python 2.
* Wed Aug 11 2021 tiwai@suse.de
- Drop the download URL from Source to allow submission to FACTORY
* Mon Jun 14 2021 Jan Engelhardt <jengelh@inai.de>
- Remove --with-pic (no effect with --disable-static)
- Replace boilerplate template description
* Thu Jan 14 2021 Bjørn Lie <bjorn.lie@gmail.com>
- Add tomoe-0.6.0-fixes-set-parse-error.patch and
  tomoe-0.6.0-strerror.patch: Fix build in current Factory.
- Run spec-cleaner and modernize spec, drop conditional for ancient
  version of openSUSE.
* Wed Feb 15 2012 tiwai@suse.de
- replace invalid glib/*.h inclusion to fix the build on FACTORY
* Sun Nov 27 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Thu Jan  8 2009 crrodriguez@suse.de
- remove static libraries and "la" files
* Fri Aug  1 2008 mfabian@suse.de
- update to 0.6.1. From the NEWS file:
  • Simplified Chinese dictionary.
  • Enhanced Japanese dictionary (Add JIS X 0208 level2 support).
  • Choose default dictionary automatically according to current
    locale.
  • Python binding.
  • Don't use RSpec for test anymore.
  • Some minor fixes.
- compile with optimization again for openSUSE >= 11.0
* Tue Nov  6 2007 pwu@suse.de
- move .so files from tomoe-devel to tomoe.
* Fri Aug  3 2007 mfabian@suse.de
- update to 0.5.1:
  • Add missing licence file.
  • Some minor fixes.
  • New modulized dictionaries:
  - Hyper Estraier
  - Unihan database
  - MySQL
  • Add radicals and variant element into dict.dtd.
- add ldconfig to post scripts.
- compile with -O0 for the moment because of bugzilla #297743.
* Wed Mar  7 2007 sbrabec@suse.cz
- Created -doc subpackage (#248813).
- Spec file cleanup.
* Thu Dec 14 2006 mfabian@suse.de
- update to 0.4.0
  • Shortening startup time.
  • Modularization handwriting recognizer and dictionary loader.
  • Reconstruct and GObjectize all API.
  • Release from libxml.
  • Ruby binding.
  • Test suite based on Ruby binding.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 mfabian@suse.de
- new package: tomoe, version 0.2.1.
